Bug report #2854

Exit-call in libqgis_core

Added by Volker Fröhlich over 10 years ago. Updated over 8 years ago.

Status:Closed
Priority:Low
Assignee:-
Category:Build/Install
Affected QGIS version:master Regression?:No
Operating System:Linux Easy fix?:No
Pull Request or Patch supplied:No Resolution:wontfix
Crashes QGIS or corrupts data:No Copied to github as #:12914

Description

rpmlint, a program for checking problems in rpm packages tells me the following:

shared-lib-calls-exit /usr/lib64/libqgis_core.so.1.5.0 [email protected]_2.2.5

I suppose, a shared library should not call exit.

I already saw this warning in version 1.4.0.

History

#1 Updated by Jürgen Fischer over 10 years ago

  • Resolution set to wontfix
  • Status changed from Open to Closed

flex or bison does this.

#2 Updated by Volker Fröhlich over 8 years ago

  • Crashes QGIS or corrupts data set to No
  • Affected QGIS version set to master
  • Pull Request or Patch supplied set to No
  • Assignee deleted (nobody -)

For the sake of completeness:

In 1.8, libqgis_core and libqgis_analysis do so.

Also available in: Atom PDF